const fs = require('fs');
const astream = require('../lib/astream.js');

async function readFile() {
    const testFile = 'txt/oneChar.txt';

    console.log(`*** Opening ${testFile} for reading.`);

    let readStream = fs.createReadStream(testFile);

    let reader = astream.createReader(readStream);

    let chunk;
    let chunkCount = 0;
    while (null !== (chunk = await reader.readAsync())) {
        chunkCount++;
    }

    console.log(`Chunk count: ${chunkCount}`);

    if (chunkCount !== 1) {
        throw new Error('One character file should have one chunk.');
    }

    console.log('*** Done reading.');
}

readFile();